Bug 1821151 (OCPRHV-58-4.5) - [oVirt] Add OS type to ovirt template
Summary: [oVirt] Add OS type to ovirt template
Keywords:
Status: CLOSED ERRATA
Alias: OCPRHV-58-4.5
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.4
Hardware: Unspecified
OS: Unspecified
urgent
high
Target Milestone: ---
: 4.5.0
Assignee: Gal Zaidman
QA Contact: Jan Zmeskal
URL: https://issues.redhat.com/browse/OCPR...
Whiteboard:
Depends On:
Blocks: OCPRHV-58-4.4.z
TreeView+ depends on / blocked
 
Reported: 2020-04-06 07:43 UTC by Gal Zaidman
Modified: 2020-07-13 17:25 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously, the installation program required the user to manually create a virtual machine template before it could create an OpenShift cluster on Red Hat Virtualization (RHV). This is because the installation program did not meet the following requirements in RHV version 4.3.9: 1) The installation program must pass the ignition to the virtual machine, and 2) The template must specify its OS type as Red Hat CoreOS (RHCOS).
Clone Of:
: OCPRHV-58-4.4.z (view as bug list)
Environment:
Last Closed: 2020-07-13 17:25:34 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift installer pull 3418 None closed Bug 1821151: oVirt, add os_type to ovirt templates 2020-09-12 07:44:06 UTC
Github openshift installer pull 3654 None closed Bug 1821151: oVirt, fix rhcos os_type name 2020-09-12 07:44:05 UTC
Red Hat Product Errata RHBA-2020:2409 None None None 2020-07-13 17:25:53 UTC

Description Gal Zaidman 2020-04-06 07:43:42 UTC
Description of problem:

On RHV 4.3.9 we have change the ignition handling and API, to recognize an ignition is passed to the VM we need to specify the os_type as RHCOS.
During the installation the installer creates a ovirt templates to be used by the nodes, so we need to:
1. create the template with os_type = "rchos".
2. update the version of terraform-provider-ovirt.

Comment 1 Sandro Bonazzola 2020-05-19 11:34:18 UTC
Also tracked in https://issues.redhat.com/browse/OCPRHV-58

Comment 2 Douglas Schilling Landgraf 2020-05-20 18:16:03 UTC
Just a heads up:
We need this bug as verified as upstream request:
https://github.com/openshift/installer/pull/3415#issuecomment-631523016


Github message:
------------------
This pull request references Bugzilla bug 1821638, which is invalid:

expected dependent Bugzilla bug 1821151 to be in one of the following states: VERIFIED, RELEASE_PENDING, CLOSED (ERRATA), but it is ON_QA instead
Comment /bugzilla refresh to re-evaluate validity if changes to the Bugzilla bug are made, or edit the title of this pull request to link to a different bug.

Comment 4 Jan Zmeskal 2020-05-25 15:07:22 UTC
Tested with: 
rhvm-4.3.10.3-0.1.master.el7.noarch
openshift-install-linux-4.5.0-0.nightly-2020-05-25-012559

Verification steps:
1. Deploy OCP4.5 using this install-config.yaml (some customizations have been applied): http://pastebin.test.redhat.com/868393
2. Check the OS type of template once created

Result:
OS type of both the template and VMs created from it is "Other OS". I checked that there is OS type "Red Hat Enterprise Linux CoreOS" available in my engine.

Comment 5 Gal Zaidman 2020-05-27 06:01:18 UTC
(In reply to Jan Zmeskal from comment #4)
> Tested with: 
> rhvm-4.3.10.3-0.1.master.el7.noarch
> openshift-install-linux-4.5.0-0.nightly-2020-05-25-012559
> 
> Verification steps:
> 1. Deploy OCP4.5 using this install-config.yaml (some customizations have
> been applied): http://pastebin.test.redhat.com/868393
> 2. Check the OS type of template once created
> 
> Result:
> OS type of both the template and VMs created from it is "Other OS". I
> checked that there is OS type "Red Hat Enterprise Linux CoreOS" available in
> my engine.

Fix on 4.5 was merged on: https://github.com/openshift/installer/pull/3654
Added the fix to 4.4 as well

Comment 8 Jan Zmeskal 2020-05-27 09:49:53 UTC
Verified with: openshift-install-linux-4.5.0-0.nightly-2020-05-27-071521

Verification steps:
1. openshift install create cluster
2. Once the template is created, verify that its OS type is Red Hat Enterprise Linux Core OS

Comment 11 errata-xmlrpc 2020-07-13 17:25:34 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2409


Note You need to log in before you can comment on or make changes to this bug.